ResourceControllerStoreStaticResourceFile Method |
POST /Resource/StaticResourceFile/
Stores the contents of the specified static resource when sent as a file. This API call expects form files inside the request body.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("StaticResourceFile")]
public IActionResult StoreStaticResourceFile(
string name,
string resourceFileType,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("StaticResourceFile")>
Public Function StoreStaticResourceFile (
name As String,
resourceFileType As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"StaticResourceFile")]
IActionResult^ StoreStaticResourceFile(
String^ name,
String^ resourceFileType,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("StaticResourceFile")>]
member StoreStaticResourceFile :
name : string *
resourceFileType : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- name
- Type: SystemString
The name of the static resource. - resourceFileType
- Type: SystemString
The file type of the static resource. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
StaticResourceInfoData with the result, or a status code indicating the problem.
See Also